# Start with an official lightweight image
FROM oven/bun:slim

# Set the working directory in the container
WORKDIR /app

# Copy the current directory contents into the container at /app
COPY . .

# Install project dependencies
RUN bun install

ENV MONITOR_PORT=$MONITOR_PORT

# Expose the port the app runs on
EXPOSE $MONITOR_PORT

# Command to run the application
CMD ["bun", "index.ts"]
